Bug 1416826 - VMware EMS Refresh fails with "block (2 levels) in getMoPropMulti' error
Summary: VMware EMS Refresh fails with "block (2 levels) in getMoPropMulti' error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.7.1
Assignee: Adam Grare
QA Contact: Alex Newman
URL:
Whiteboard: vmware:ems_refresh
Depends On: 1412179
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 14:41 UTC by Satoe Imaishi
Modified: 2020-04-15 15:09 UTC (History)
8 users (show)

Fixed In Version: 5.7.1.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1412179
Environment:
Last Closed: 2017-02-27 19:30:35 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 3 CFME Bot 2017-01-31 15:55:52 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/c3baced49d14f1382bcb568b4cab3a03d4a1472f

commit c3baced49d14f1382bcb568b4cab3a03d4a1472f
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Jan 31 09:38:05 2017 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Jan 31 10:00:18 2017 -0500

    Use Array() for non-array propSet
    
    In the case where ObjectContent.propSet is nil [oc.propSet] will result
    in [nil] where Array(oc.propSet) will result in []
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1416826

 gems/pending/VMwareWebService/MiqVimInventory.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 5 errata-xmlrpc 2017-02-27 19:30:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.